#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private IntelligentTrader.IntelligentAILower[] cacheIntelligentAILower;
		private IntelligentTrader.IntelligentAIOrderFlow[] cacheIntelligentAIOrderFlow;
		private IntelligentTrader.IntelligentAIScalper[] cacheIntelligentAIScalper;
		private IntelligentTrader.IntelligentAISTT[] cacheIntelligentAISTT;
		private IntelligentTrader.IntelligentAIUpper[] cacheIntelligentAIUpper;
		private IntelligentTrader.IntelligentAIVWAP[] cacheIntelligentAIVWAP;
		private IntelligentTrader.IntelligentAIBarRange[] cacheIntelligentAIBarRange;

		
		public IntelligentTrader.IntelligentAILower IntelligentAILower()
		{
			return IntelligentAILower(Input);
		}

		public IntelligentTrader.IntelligentAIOrderFlow IntelligentAIOrderFlow(int cumulative)
		{
			return IntelligentAIOrderFlow(Input, cumulative);
		}

		public IntelligentTrader.IntelligentAIScalper IntelligentAIScalper()
		{
			return IntelligentAIScalper(Input);
		}

		public IntelligentTrader.IntelligentAISTT IntelligentAISTT()
		{
			return IntelligentAISTT(Input);
		}

		public IntelligentTrader.IntelligentAIUpper IntelligentAIUpper()
		{
			return IntelligentAIUpper(Input);
		}

		public IntelligentTrader.IntelligentAIVWAP IntelligentAIVWAP()
		{
			return IntelligentAIVWAP(Input);
		}

		public IntelligentTrader.IntelligentAIBarRange IntelligentAIBarRange()
		{
			return IntelligentAIBarRange(Input);
		}


		
		public IntelligentTrader.IntelligentAILower IntelligentAILower(ISeries<double> input)
		{
			if (cacheIntelligentAILower != null)
				for (int idx = 0; idx < cacheIntelligentAILower.Length; idx++)
					if ( cacheIntelligentAILower[idx].EqualsInput(input))
						return cacheIntelligentAILower[idx];
			return CacheIndicator<IntelligentTrader.IntelligentAILower>(new IntelligentTrader.IntelligentAILower(), input, ref cacheIntelligentAILower);
		}

		public IntelligentTrader.IntelligentAIOrderFlow IntelligentAIOrderFlow(ISeries<double> input, int cumulative)
		{
			if (cacheIntelligentAIOrderFlow != null)
				for (int idx = 0; idx < cacheIntelligentAIOrderFlow.Length; idx++)
					if (cacheIntelligentAIOrderFlow[idx].cumulative == cumulative && cacheIntelligentAIOrderFlow[idx].EqualsInput(input))
						return cacheIntelligentAIOrderFlow[idx];
			return CacheIndicator<IntelligentTrader.IntelligentAIOrderFlow>(new IntelligentTrader.IntelligentAIOrderFlow(){ cumulative = cumulative }, input, ref cacheIntelligentAIOrderFlow);
		}

		public IntelligentTrader.IntelligentAIScalper IntelligentAIScalper(ISeries<double> input)
		{
			if (cacheIntelligentAIScalper != null)
				for (int idx = 0; idx < cacheIntelligentAIScalper.Length; idx++)
					if ( cacheIntelligentAIScalper[idx].EqualsInput(input))
						return cacheIntelligentAIScalper[idx];
			return CacheIndicator<IntelligentTrader.IntelligentAIScalper>(new IntelligentTrader.IntelligentAIScalper(), input, ref cacheIntelligentAIScalper);
		}

		public IntelligentTrader.IntelligentAISTT IntelligentAISTT(ISeries<double> input)
		{
			if (cacheIntelligentAISTT != null)
				for (int idx = 0; idx < cacheIntelligentAISTT.Length; idx++)
					if ( cacheIntelligentAISTT[idx].EqualsInput(input))
						return cacheIntelligentAISTT[idx];
			return CacheIndicator<IntelligentTrader.IntelligentAISTT>(new IntelligentTrader.IntelligentAISTT(), input, ref cacheIntelligentAISTT);
		}

		public IntelligentTrader.IntelligentAIUpper IntelligentAIUpper(ISeries<double> input)
		{
			if (cacheIntelligentAIUpper != null)
				for (int idx = 0; idx < cacheIntelligentAIUpper.Length; idx++)
					if ( cacheIntelligentAIUpper[idx].EqualsInput(input))
						return cacheIntelligentAIUpper[idx];
			return CacheIndicator<IntelligentTrader.IntelligentAIUpper>(new IntelligentTrader.IntelligentAIUpper(), input, ref cacheIntelligentAIUpper);
		}

		public IntelligentTrader.IntelligentAIVWAP IntelligentAIVWAP(ISeries<double> input)
		{
			if (cacheIntelligentAIVWAP != null)
				for (int idx = 0; idx < cacheIntelligentAIVWAP.Length; idx++)
					if ( cacheIntelligentAIVWAP[idx].EqualsInput(input))
						return cacheIntelligentAIVWAP[idx];
			return CacheIndicator<IntelligentTrader.IntelligentAIVWAP>(new IntelligentTrader.IntelligentAIVWAP(), input, ref cacheIntelligentAIVWAP);
		}

		public IntelligentTrader.IntelligentAIBarRange IntelligentAIBarRange(ISeries<double> input)
		{
			if (cacheIntelligentAIBarRange != null)
				for (int idx = 0; idx < cacheIntelligentAIBarRange.Length; idx++)
					if ( cacheIntelligentAIBarRange[idx].EqualsInput(input))
						return cacheIntelligentAIBarRange[idx];
			return CacheIndicator<IntelligentTrader.IntelligentAIBarRange>(new IntelligentTrader.IntelligentAIBarRange(), input, ref cacheIntelligentAIBarRange);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.IntelligentTrader.IntelligentAILower IntelligentAILower()
		{
			return indicator.IntelligentAILower(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIOrderFlow IntelligentAIOrderFlow(int cumulative)
		{
			return indicator.IntelligentAIOrderFlow(Input, cumulative);
		}

		public Indicators.IntelligentTrader.IntelligentAIScalper IntelligentAIScalper()
		{
			return indicator.IntelligentAIScalper(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAISTT IntelligentAISTT()
		{
			return indicator.IntelligentAISTT(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIUpper IntelligentAIUpper()
		{
			return indicator.IntelligentAIUpper(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIVWAP IntelligentAIVWAP()
		{
			return indicator.IntelligentAIVWAP(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIBarRange IntelligentAIBarRange()
		{
			return indicator.IntelligentAIBarRange(Input);
		}


		
		public Indicators.IntelligentTrader.IntelligentAILower IntelligentAILower(ISeries<double> input )
		{
			return indicator.IntelligentAILower(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIOrderFlow IntelligentAIOrderFlow(ISeries<double> input , int cumulative)
		{
			return indicator.IntelligentAIOrderFlow(input, cumulative);
		}

		public Indicators.IntelligentTrader.IntelligentAIScalper IntelligentAIScalper(ISeries<double> input )
		{
			return indicator.IntelligentAIScalper(input);
		}

		public Indicators.IntelligentTrader.IntelligentAISTT IntelligentAISTT(ISeries<double> input )
		{
			return indicator.IntelligentAISTT(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIUpper IntelligentAIUpper(ISeries<double> input )
		{
			return indicator.IntelligentAIUpper(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIVWAP IntelligentAIVWAP(ISeries<double> input )
		{
			return indicator.IntelligentAIVWAP(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIBarRange IntelligentAIBarRange(ISeries<double> input )
		{
			return indicator.IntelligentAIBarRange(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.IntelligentTrader.IntelligentAILower IntelligentAILower()
		{
			return indicator.IntelligentAILower(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIOrderFlow IntelligentAIOrderFlow(int cumulative)
		{
			return indicator.IntelligentAIOrderFlow(Input, cumulative);
		}

		public Indicators.IntelligentTrader.IntelligentAIScalper IntelligentAIScalper()
		{
			return indicator.IntelligentAIScalper(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAISTT IntelligentAISTT()
		{
			return indicator.IntelligentAISTT(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIUpper IntelligentAIUpper()
		{
			return indicator.IntelligentAIUpper(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIVWAP IntelligentAIVWAP()
		{
			return indicator.IntelligentAIVWAP(Input);
		}

		public Indicators.IntelligentTrader.IntelligentAIBarRange IntelligentAIBarRange()
		{
			return indicator.IntelligentAIBarRange(Input);
		}


		
		public Indicators.IntelligentTrader.IntelligentAILower IntelligentAILower(ISeries<double> input )
		{
			return indicator.IntelligentAILower(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIOrderFlow IntelligentAIOrderFlow(ISeries<double> input , int cumulative)
		{
			return indicator.IntelligentAIOrderFlow(input, cumulative);
		}

		public Indicators.IntelligentTrader.IntelligentAIScalper IntelligentAIScalper(ISeries<double> input )
		{
			return indicator.IntelligentAIScalper(input);
		}

		public Indicators.IntelligentTrader.IntelligentAISTT IntelligentAISTT(ISeries<double> input )
		{
			return indicator.IntelligentAISTT(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIUpper IntelligentAIUpper(ISeries<double> input )
		{
			return indicator.IntelligentAIUpper(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIVWAP IntelligentAIVWAP(ISeries<double> input )
		{
			return indicator.IntelligentAIVWAP(input);
		}

		public Indicators.IntelligentTrader.IntelligentAIBarRange IntelligentAIBarRange(ISeries<double> input )
		{
			return indicator.IntelligentAIBarRange(input);
		}

	}
}

#endregion
